Jack::JackCoreMidiPort Class Reference
Inheritance diagram for Jack::JackCoreMidiPort:

## Public Member Functions

| JackCoreMidiPort (double time_ratio)
const char * | GetAlias ()
const char * | GetName ()

## Static Public Member Functions

static bool | IsInternalPort (MIDIObjectRef port_aux)

## Protected Member Functions

void | Initialize (const char *alias_name, const char *client_name, const char *driver_name, int index, MIDIEndpointRef endpoint, bool is_output)
MIDIEndpointRef | GetEndpoint ()

## Protected Attributes

double | time_ratio
MIDIEndpointRef | endpoint

## Static Protected Attributes

static std::set< MIDIEndpointRef > | endpoint_list

## Detailed Description

Definition at line 30 of file JackCoreMidiPort.h.

The documentation for this class was generated from the following files:

- JackCoreMidiPort.h
- JackCoreMidiPort.cpp